package com.mortals.xhx.module.record.service;

import com.mortals.framework.exception.AppException;
import com.mortals.framework.model.Context;
import com.mortals.framework.service.ICRUDService;
import com.mortals.xhx.module.record.model.ApplyLogEntity;
import com.mortals.xhx.module.record.model.PrintLogEntity;

/**
* PrintLogService
*
* 证照打印记录 service接口
*
* @author zxfei
* @date 2022-10-14
*/
public interface PrintLogService extends ICRUDService<PrintLogEntity,Long>{

    /**
     * 添加打印记录
     * @param applyLogEntity
     * @param context
     * @throws AppException
     */
    void creatPrintLog(ApplyLogEntity applyLogEntity, Context context) throws AppException;
}