package com.mortals.xhx.module.record.service;
import com.mortals.framework.exception.AppException;
import com.mortals.framework.model.Context;
import com.mortals.framework.service.ICRUDService;
import com.mortals.xhx.module.record.model.ApplyLogEntity;
import com.mortals.xhx.module.record.model.PrintWaitQueueEntity;
/**
* PrintWaitQueueService
*
* 证照打印记录 service接口
*
* @author zxfei
* @date 2022-10-22
*/
public interface PrintWaitQueueService extends ICRUDService<PrintWaitQueueEntity,Long>{

    /**
     * 生成待打印证件
     * @param applyLogEntity
     * @param generateType
     * @param context
     * @throws AppException
     */
    void creatWaitQueueByApply(ApplyLogEntity applyLogEntity, int generateType, Context context) throws AppException;

    /**
     * 打印文件
     * @param id
     */
    String doPrint(Long id);
}